<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
*
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Select JUnit Version Dialog Box</title>
<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
<h2>Select JUnit Version Dialog Box</h2>
<p><small><a href="#seealso">See Also</a></small></p>
    <p>Use this dialog box to specify the version of JUnit to use when creating JUnit test skeletons. 
    You see this dialog box the first time you create a JUnit test or test suite for your project.
    After you select a JUnit version for your project, all subsequent tests and test suites generated by the IDE
    will be created for that version.
    You can view the project's JUnit libraries by expanding the project's Test Libraries node in the Projects window.</p>

<p>If you are developing your project on the Java 5.0 platform, you can choose between the
following JUnit versions:</p>

<ul>
    <li><b>JUnit 3.x</b></li>
    <li><b>JUnit 4.x</b></li>
</ul>


<p><b>Notes:</b></p>
<ul class="note">
    <li>The JUnit 4.x option is only available if your project is running on the Java 5.0 platform or higher.</li>
    <li>JUnit 4.x is backwards-compatible with JUnit 3.x. If you decide to downgrade from JUnit 4.x to JUnit 3.x, 
    tests using unsupported features such as annotation descriptions and static imports will be ignored.</li>
</ul>

<h3>Changing the JUnit Version</h3>
<p>The Select JUnit Version dialog box only appears the first time you create a JUnit test.
You can update support for the JUnit versions by updating the JUnit libraries in the project's Test Libraries node.</p>
<p>To add a new library, right-click the Test Libraries node in the Projects window and choose Add Library and select the library in the Add Library dialog box.
To remove a library, right-click the library and choose Remove.</p>

<dl>
  <dt><a name="seealso">See Also</a></dt>
  <dd><a href="junit_creatingtests.html">Creating a Unit Test</a></dd>
  <dd><a href="junit_runningtests.html">Running a Unit Test</a></dd>
  <dd><a href="junit_about.html">About Unit Testing</a></dd>
</dl>
<hr>
<small><a href="../credits.html">Legal Notices</a></small>
<table border="0" cellpadding="50">
  <tr><td>&nbsp;</td></tr>
</table>
</body>
</html>
